package ajs.tools;
import ij.*;
import ij.text.*;

public class Slicelabel_Viewer implements ImageListener {
	ImagePlus imp;
	String[] slbls;
	TextWindow tw;
	int n=0;

	public Slicelabel_Viewer(ImagePlus imp) {
		this.imp=imp;
		slbls=imp.getStack().getSliceLabels();
		tw=new TextWindow("Slicelabel Viewer for "+imp.getTitle(),slbls[imp.getCurrentSlice()],600,500);
		ImagePlus.addImageListener(this);
	}

	public void imageOpened(ImagePlus uimp) {}
	public void imageClosed(ImagePlus uimp) {
		if(uimp.equals(imp)){
			if(tw!=null)tw.dispose();
			ImagePlus.removeImageListener(this);
		}
	}
	public void imageUpdated(ImagePlus uimp){
		if(uimp.equals(imp)){
			if(tw==null){ImagePlus.removeImageListener(this);return;}
			TextPanel tp=tw.getTextPanel();
			tp.setColumnHeadings("");
			tp.append(slbls[imp.getCurrentSlice()]);
		}
	}
}
